Package org.springframework.security.web.webauthn.api

# Class AuthenticatorAttestationResponse

java.lang.Object
org.springframework.security.web.webauthn.api.AuthenticatorResponse
org.springframework.security.web.webauthn.api.AuthenticatorAttestationResponse

All Implemented Interfaces:
  `Serializable`

public final class AuthenticatorAttestationResponse extends AuthenticatorResponse
AuthenticatorAttestationResponse represents the authenticator's response to a client's request for the creation of a new public key credential.

Since:
  6.4
See Also:
  - `PublicKeyCredential.getResponse()`
  - Serialized Form

## Nested Class Summary

Nested Classes
Modifier and Type
Class
Description
`static final class`
`AuthenticatorAttestationResponse.AuthenticatorAttestationResponseBuilder`
Builds `AuthenticatorAssertionResponse`.

## Method Summary

Modifier and Type
Method
Description
`static AuthenticatorAttestationResponse.AuthenticatorAttestationResponseBuilder`
`builder()`
Creates a new instance.
`Bytes`
`getAttestationObject()`
The attestationObject attribute contains an attestation object, which is opaque to, and cryptographically protected against tampering by, the client.
`List<AuthenticatorTransport>`
`getTransports()`
The transports returns the transports

### Methods inherited from class org.springframework.security.web.webauthn.api.AuthenticatorResponse

`getClientDataJSON`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

## Method Details

### getAttestationObject

public Bytes getAttestationObject()
The attestationObject attribute contains an attestation object, which is opaque to, and cryptographically protected against tampering by, the client.

Returns:
  the attestationObject

### getTransports

public List<AuthenticatorTransport> getTransports()
The transports returns the transports

Returns:
  the transports

### builder

public static AuthenticatorAttestationResponse.AuthenticatorAttestationResponseBuilder builder()
Creates a new instance.

Returns:
  the `AuthenticatorAttestationResponse.AuthenticatorAttestationResponseBuilder`